VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Recovery::Restore::Metadata Class Reference
Inheritance diagram for Com::Vmware::Appliance::Recovery::Restore::Metadata:

## Avaliable Methods
public method | set_messages ()
public method | get_applicable ()
public method | set_version ()
public method | get_comment ()
public method | set_timestamp ()
public method | set_applicable ()
public method | set_comment ()
public method | get_boxname ()
public method | get_messages ()
public method | get_parts ()
public method | set_parts ()
public method | new ()
public method | get_version ()
public method | get_timestamp ()
public method | set_boxname ()

## Detailed Description

`Com::Vmware::Appliance::Recovery::Restore::Metadata` class Structure representing metadata

## Member Function Documentation

public method Com::Vmware::Appliance::Recovery::Restore::Metadata::get_applicable | ( |  | ) |

Gets the value of 'applicable' property.

Return values

  applicable | - The current value of the field. Does the VCSA match the deployment type, network properties and version of backed up VC boolean#

Code:
click to view
# Number of lines of code in get_applicable: 4
sub get_applicable {
my ($self, %args) = @_;
return $self->{'applicable'};
}

public method Com::Vmware::Appliance::Recovery::Restore::Metadata::get_boxname | ( |  | ) |

Gets the value of 'boxname' property.

Return values

  boxname | - The current value of the field. Box name is PNID/ FQDN etc String#

Code:
click to view
# Number of lines of code in get_boxname: 4
sub get_boxname {
my ($self, %args) = @_;
return $self->{'boxname'};
}

public method Com::Vmware::Appliance::Recovery::Restore::Metadata::get_comment | ( |  | ) |

Gets the value of 'comment' property.

Return values

  comment | - The current value of the field. Custom comment String#

Code:
click to view
# Number of lines of code in get_comment: 4
sub get_comment {
my ($self, %args) = @_;
return $self->{'comment'};
}

public method Com::Vmware::Appliance::Recovery::Restore::Metadata::get_messages | ( |  | ) |

Gets the value of 'messages' property.

Return values

  messages | - The current value of the field. Any messages if the backup is not aplicable List#

Code:
click to view
# Number of lines of code in get_messages: 4
sub get_messages {
my ($self, %args) = @_;
return $self->{'messages'};
}

public method Com::Vmware::Appliance::Recovery::Restore::Metadata::get_parts | ( |  | ) |

Gets the value of 'parts' property.

Return values

  parts | - The current value of the field. List of parts included in the backup. List#

Code:
click to view
# Number of lines of code in get_parts: 4
sub get_parts {
my ($self, %args) = @_;
return $self->{'parts'};
}

public method Com::Vmware::Appliance::Recovery::Restore::Metadata::get_timestamp | ( |  | ) |

Gets the value of 'timestamp' property.

Return values

  timestamp | - The current value of the field. Time when this backup was completed. DateTime#

Code:
click to view
# Number of lines of code in get_timestamp: 4
sub get_timestamp {
my ($self, %args) = @_;
return $self->{'timestamp'};
}

public method Com::Vmware::Appliance::Recovery::Restore::Metadata::get_version | ( |  | ) |

Gets the value of 'version' property.

Return values

  version | - The current value of the field. VCSA version String#

Code:
click to view
# Number of lines of code in get_version: 4
sub get_version {
my ($self, %args) = @_;
return $self->{'version'};
}

public method Com::Vmware::Appliance::Recovery::Restore::Metadata::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Recovery::Restore::Metadata structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 28
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{timestamp} = $args{'timestamp'};
$self->{parts} = $args{'parts'};
$self->{version} = $args{'version'};
$self->{boxname} = $args{'boxname'};
$self->{comment} = $args{'comment'};
$self->{applicable} = $args{'applicable'};
$self->{messages} = $args{'messages'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Recovery::Restore::Metadata');
$self->set_binding_name('name' => 'com.vmware.appliance.recovery.restore.metadata');
$self->set_binding_field('key' => 'timestamp', 'value' => new Com::Vmware::Vapi::Bindings::Type::DateTimeType());
$self->set_binding_field('key' => 'parts', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'version', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'boxname', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'comment', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'applicable', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
$self->set_binding_field('key' => 'messages', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Recovery', 'type_name' => 'Restore::LocalizableMessage')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Recovery::Restore::Metadata::set_applicable | ( |  | ) |

Sets the given value for 'applicable' property.

Parameters

  applicable | - New value for the field. Does the VCSA match the deployment type, network properties and version of backed up VC

Code:
click to view
# Number of lines of code in set_applicable: 5
sub set_applicable {
my ($self, %args) = @_;
$self->{'applicable'} = $args{'applicable'};
return;
}

public method Com::Vmware::Appliance::Recovery::Restore::Metadata::set_boxname | ( |  | ) |

Sets the given value for 'boxname' property.

Parameters

  boxname | - New value for the field. Box name is PNID/ FQDN etc

Code:
click to view
# Number of lines of code in set_boxname: 5
sub set_boxname {
my ($self, %args) = @_;
$self->{'boxname'} = $args{'boxname'};
return;
}

public method Com::Vmware::Appliance::Recovery::Restore::Metadata::set_comment | ( |  | ) |

Sets the given value for 'comment' property.

Parameters

  comment | - New value for the field. Custom comment

Code:
click to view
# Number of lines of code in set_comment: 5
sub set_comment {
my ($self, %args) = @_;
$self->{'comment'} = $args{'comment'};
return;
}

public method Com::Vmware::Appliance::Recovery::Restore::Metadata::set_messages | ( |  | ) |

Sets the given value for 'messages' property.

Parameters

  messages | - New value for the field. Any messages if the backup is not aplicable

Code:
click to view
# Number of lines of code in set_messages: 5
sub set_messages {
my ($self, %args) = @_;
$self->{'messages'} = $args{'messages'};
return;
}

public method Com::Vmware::Appliance::Recovery::Restore::Metadata::set_parts | ( |  | ) |

Sets the given value for 'parts' property.

Parameters

  parts | - New value for the field. List of parts included in the backup.

Code:
click to view
# Number of lines of code in set_parts: 5
sub set_parts {
my ($self, %args) = @_;
$self->{'parts'} = $args{'parts'};
return;
}

public method Com::Vmware::Appliance::Recovery::Restore::Metadata::set_timestamp | ( |  | ) |

Sets the given value for 'timestamp' property.

Parameters

  timestamp | - New value for the field. Time when this backup was completed.

Code:
click to view
# Number of lines of code in set_timestamp: 5
sub set_timestamp {
my ($self, %args) = @_;
$self->{'timestamp'} = $args{'timestamp'};
return;
}

public method Com::Vmware::Appliance::Recovery::Restore::Metadata::set_version | ( |  | ) |

Sets the given value for 'version' property.

Parameters

  version | - New value for the field. VCSA version

Code:
click to view
# Number of lines of code in set_version: 5
sub set_version {
my ($self, %args) = @_;
$self->{'version'} = $args{'version'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Recovery/Restore.pm